%define	upstream_name    Object-Realize-Later
%define	upstream_version 0.21

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    CPAN %{upstream_name} perl module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/Object-Realize-Later/
Source0:    http://search.cpan.org/CPAN/authors/id/M/MA/MARKOV/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
This module helps you implementing delay loading of object-data.  While
creating a stub-object, Object::Realize::Later simulates you got the
real data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test

%install
%make_install

%files
%doc ChangeLog Changes META.json META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Object/Realize

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-3.mga8
+ Revision: 1505757
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.210.0-2.mga7
+ Revision: 1285453
- Mageia 7 Mass Rebuild

* Sun Jan 28 2018 shlomif <shlomif> 0.210.0-1.mga7
+ Revision: 1197663
- update to 0.21

* Wed Jan 24 2018 tv <tv> 0.200.0-1.mga7
+ Revision: 1196781
- update to 0.20

* Sun Jun 19 2016 pterjan <pterjan> 0.190.0-5.mga6
+ Revision: 1031480
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.190.0-4.mga6
+ Revision: 942937
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-3.mga5
+ Revision: 746925
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.190.0-2.mga5
+ Revision: 685787
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 0.190.0-1.mga5
+ Revision: 593609
- update to 0.19

* Fri Oct 18 2013 umeabot <umeabot> 0.180.0-3.mga4
+ Revision: 513749
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 371102
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.180.0-1.mga1
+ Revision: 26787
- mageia rebuild
- imported package perl-Object-Realize-Later


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.180.0-1mdv2010.1
+ Revision: 401997
- rebuild using %%perl_convert_version

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.18-2mdv2009.0
+ Revision: 223950
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.18-1mdv2008.1
+ Revision: 140694
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.0
+ Revision: 46656
- update to new version 0.18


* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.15-2mdv2007.0
+ Revision: 85609
- use the mkrel macro
- Import perl-Object-Realize-Later

* Sat Jul 09 2005 Andreas Hasenack <andreas@mandriva.com> 0.15-1mdk
- packaged for Mandriva

